"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const colors = require("colors");
const configxml_1 = require("../lib/configxml");
function cmd(program) {
    program
        .command('get-name')
        .alias('gn')
        .option('-d, --dir [dir]', 'optional config.xml directory path', '.')
        .description('Returns the current app name specified in the config.xml of the current cordova mobile repo')
        .action((options) => __awaiter(this, void 0, void 0, function* () {
        const dir = options.dir;
        if (!configxml_1.configExists(dir)) {
            return console.log(colors.red.bold(configxml_1.configNotFoundError));
        }
        try {
            console.log(colors.green(yield configxml_1.getAppName(dir)));
        }
        catch (e) {
            console.log(colors.red.bold(e.message));
        }
    }));
}
exports.cmd = cmd;
//# sourceMappingURL=get-name.js.map