#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const commander = require("commander");
const pack = require("./package.json");
function commandLoader(program) {
    const commands = {};
    const loadPath = path.join(path.dirname(__filename), 'commands');
    // Loop though command files
    fs.readdirSync(loadPath).filter((filename) => {
        return (/\.js$/.test(filename));
    }).forEach((filename) => {
        const name = filename.substr(0, filename.lastIndexOf('.'));
        const command = require(path.join(loadPath, filename));
        commands[name] = command.cmd(program);
    });
    return commands;
}
exports.commandLoader = commandLoader;
commandLoader(commander);
const cmd = commander
    .usage('<command> [options]')
    .version(pack.version);
cmd.on('command:*', (params) => {
    console.error(`Error : snow ${params[0]} is not a valid snow command. See 'snow --help'.`);
});
cmd.parse(process.argv);
if (!cmd.args.length) {
    cmd.help();
}
//# sourceMappingURL=index.js.map