"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const xml2js = require("xml2js");
// tslint:disable-next-line:no-implicit-dependencies
const promisify = require("util.promisify");
const readFile = promisify(fs.readFile);
function parse(file) {
    return __awaiter(this, void 0, void 0, function* () {
        const xml = yield readFile(file, 'utf-8');
        return new Promise((resolve, reject) => {
            xml2js.parseString(xml, { explicitArray: false }, (error, result) => {
                if (error) {
                    reject(error);
                }
                resolve(result);
            });
        });
    });
}
exports.parse = parse;
function write(file, xml) {
    const builder = new xml2js.Builder({
        renderOpts: { pretty: true, indent: '  ', newline: '\n' },
        xmldec: { version: '1.0', encoding: 'UTF-8' },
        headless: false,
    });
    const xmlString = builder.buildObject(xml);
    fs.writeFileSync(file, xmlString, 'utf-8');
}
exports.write = write;
//# sourceMappingURL=xml.js.map